Bug 186612 - Console.getVersionNumber needs to return first 2 version components only
Summary: Console.getVersionNumber needs to return first 2 version components only
Status: VERIFIED
Alias: None
Product: Fedora Management Console
Classification: Fedora
Component: General   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 152373 240316
TreeView+ depends on / blocked
 
Reported: 2006-03-24 18:07 UTC by Nathan Kinder
Modified: 2015-01-05 00:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (3.53 KB, patch)
2006-03-24 18:07 UTC, Nathan Kinder
no flags Details | Diff

Description Nathan Kinder 2006-03-24 18:07:43 UTC
Created attachment 126656 [details]
CVS Diffs

Comment 1 Nathan Kinder 2006-03-24 18:07:43 UTC
Now that the Console versioning scheme includes a third digit used for patch
releases, we need to modify the checkVersion method to only return the
"major.minor" version.  This method is used by server jarfiles to check for
compatibility.  Without this change, backwards compatibility breaks.

Comment 2 Nathan Kinder 2006-03-24 18:15:28 UTC
I referred to the incorrect method name in comment #1.  The correct method name
is getVersionNumber.

Comment 3 Nathan Kinder 2006-03-24 19:00:13 UTC
Checked into console (HEAD).  Reviewed by Noriko.

Checking in build.xml;
/cvs/dirsec/console/build.xml,v  <--  build.xml
new revision: 1.12; previous revision: 1.11
done
Checking in startconsole-sandbox;
/cvs/dirsec/console/startconsole-sandbox,v  <--  startconsole-sandbox
new revision: 1.2; previous revision: 1.1
done
Checking in src/com/netscape/management/client/console/VersionInfo.java;
/cvs/dirsec/console/src/com/netscape/management/client/console/VersionInfo.java,v
 <--  VersionInfo.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/com/netscape/management/client/console/genverinfo.sh;
/cvs/dirsec/console/src/com/netscape/management/client/console/genverinfo.sh,v 
<--  genverinfo.sh
new revision: 1.3; previous revision: 1.2
done

Comment 5 Nathan Kinder 2008-01-08 19:00:06 UTC
Verified that the two-part version number is stored in the
versioninfo.properties file contained in idm-console-mcc_en.jar.  This property
is used by the getMajorVersionNumber() method, which is called when checking is
server jars are compatible with the running Console framework.

Marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.